#!/bin/bash

rm ./build_fail.log
N=`wc -l ./ros-pkglist | sed -e 's/ \.\/ros-pkglist//i' 
`
N
i=0
for pk_dir in `cat ros-pkglist`; do
	cd ./$pk_dir
	i=$(($i+1))
	echo "Package $i/$N: $pk_dir"
	if [[ -z "`ls | grep tar.xz`" ]]; then  
		makepkg -f >build.log 2>&1 
		if [[ -n "`ls | grep tar.xz`" ]]; then  
			sudo yaourt -U --noconfirm ./*.tar.xz
			echo "   Built (and probably installed)"
		else
			echo "   Build failed"
			cat build.log
			#exit;
			echo "Package:$pk_dir build failed\n" >> ../build_fail.log
			cat build.log >> ../build_fail.log
			echo "\n=======================================================\n"  >> ../build_fail.log
		fi;
	else
		echo "    Already built"
	fi;
	cd ..
done;